Skip to content
Get started

Nept

Get user NEPT unlocks
GET/api/v1/users/{address}/nept/unlocks
ModelsExpand Collapse
UserUnlockAmounts = object { amount, claimable, claimed, 4 more }
amount: string

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: string

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: string

The amount that has already been successfully claimed by the user.

expired: string

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: object { percent, text, value }
percent: object { claimable, claimed, expired, 3 more }

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: string
claimed: string
expired: string
extra: object { text }
text: object { claimable, claimed, expired, 2 more }

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
locked: string
reclaimed: string
text: object { amount, claimable, claimed, 3 more }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
value: object { amount, claimable, claimed, 5 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
claimable: string
claimed: string
expired: string
extra: object { text }
text: object { amount, claimable, claimed, 4 more }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
price: string

Text representation of price

reclaimed: string
locked: string
price: string

Price used in value calculations

reclaimed: string
locked: string

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: string

The amount that has been reclaimed from the unlock arrangement admin

UserUnlockOverview = object { arrangements, extra, last_claimed_at, totals }
arrangements: array of object { admin, amounts, begins_at, 4 more }

A list of the user's active unlock arrangements

admin: object { address, issued_reclaim }

The admin of the unlock, if any

address: string

The address of the unlock arrangement's admin

issued_reclaim: boolean

True if the admin his issued a reclaim on the unlock arrangement

amounts: UserUnlockAmounts { amount, claimable, claimed, 4 more }

Primary unlock amount and other pre-calculated/derived amounts

amount: string

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: string

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: string

The amount that has already been successfully claimed by the user.

expired: string

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: object { percent, text, value }
percent: object { claimable, claimed, expired, 3 more }

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: string
claimed: string
expired: string
extra: object { text }
text: object { claimable, claimed, expired, 2 more }

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
locked: string
reclaimed: string
text: object { amount, claimable, claimed, 3 more }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
value: object { amount, claimable, claimed, 5 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
claimable: string
claimed: string
expired: string
extra: object { text }
text: object { amount, claimable, claimed, 4 more }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
price: string

Text representation of price

reclaimed: string
locked: string
price: string

Price used in value calculations

reclaimed: string
locked: string

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: string

The amount that has been reclaimed from the unlock arrangement admin

begins_at: string

The time at which the unlock begins

formatdate-time
expires_at: string

The time at which the unlock expires, if any

formatdate-time
extra: object { text }
text: object { begins_at, expires_at, last_claimed_at }

Human-readable field variants. Will not be null when query param with_text is true.

begins_at: string
expires_at: string
last_claimed_at: string
last_claimed_at: string

The time at which the unlock was last claimed, if any

formatdate-time

The schedule of the unlock

One of the following:
UserUnlockScheduleLinear = object { duration, ends_at, extra, kind }
duration: number

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: string

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: object { text }
text: object { duration, ends_at }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
ends_at: string
kind: "linear"
UserUnlockScheduleLumpSum = object { kind }
kind: "lump_sum"
extra: object { text }
text: object { last_claimed_at }

Human-readable field variants. Will not be null when query param with_text is true.

last_claimed_at: string
last_claimed_at: string

The time at which the most recent unlock claim occurred, if any

formatdate-time
totals: UserUnlockAmounts { amount, claimable, claimed, 4 more }

Contains pre-calculated total amounts for all unlock agreements

amount: string

The full unlock amount

This value is immutable and does not change with regards to expiry/reclamation/lock states.

claimable: string

The amount currently claimable

This takes into account: reclamation, lock state, expiry, and previously claimed. In other words, this is an accurate representation of what the user can currently claim.

claimed: string

The amount that has already been successfully claimed by the user.

expired: string

The amount that was claimable but has now expired due to the presence and subsequent passing of expires_at

extra: object { percent, text, value }
percent: object { claimable, claimed, expired, 3 more }

Percentages for unlock amounts. These do not factor in the amount_staked or amount_held values. Will not be null when query param with_percent is true.

claimable: string
claimed: string
expired: string
extra: object { text }
text: object { claimable, claimed, expired, 2 more }

Human-readable variants of percentages for unlock amounts. Will not be null when query params with_text and with_percent are true.

claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
locked: string
reclaimed: string
text: object { amount, claimable, claimed, 3 more }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
reclaimed: string
value: object { amount, claimable, claimed, 5 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
claimable: string
claimed: string
expired: string
extra: object { text }
text: object { amount, claimable, claimed, 4 more }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
claimable: string
claimed: string
expired: string
locked: string
price: string

Text representation of price

reclaimed: string
locked: string
price: string

Price used in value calculations

reclaimed: string
locked: string

The total amount of NEPT currently awaiting unlock NOTE: any reclaimed unlocks are excluded from the total, regardless of how much the user had claimed prior to reclamation.

reclaimed: string

The amount that has been reclaimed from the unlock arrangement admin

UserUnlockSchedule = UserUnlockScheduleLinear { duration, ends_at, extra, kind } or UserUnlockScheduleLumpSum { kind }
One of the following:
UserUnlockScheduleLinear = object { duration, ends_at, extra, kind }
duration: number

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: string

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: object { text }
text: object { duration, ends_at }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
ends_at: string
kind: "linear"
UserUnlockScheduleLumpSum = object { kind }
kind: "lump_sum"
UserUnlockScheduleLinear = object { duration, ends_at, extra, kind }
duration: number

The duration of the unlock in seconds

formatuint64
minimum0
ends_at: string

The time at which the unlock has/was/would've completed. This is identical to begins_at + duration.

This timestamp will remain valid even if the unlock has been reclaimed. Therefore, it should not be used as a validity check.

formatdate-time
extra: object { text }
text: object { duration, ends_at }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
ends_at: string
kind: "linear"
UserUnlockScheduleLumpSum = object { kind }
kind: "lump_sum"

NeptStaking

Get user staking overview
GET/api/v1/users/{address}/nept/staking
Get user staking pools
GET/api/v1/users/{address}/nept/staking/pools
Get user staking pool by duration/index
GET/api/v1/users/{address}/nept/staking/pools/lookup
Get user unstaking pool
GET/api/v1/users/{address}/nept/staking/unstaking
ModelsExpand Collapse
UserStake = object { asset_info, bonding_sum, claimable_rewards, 5 more }
asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

bonding_sum: string

Total staked of all entries across all listed pools

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

claimable_rewards: string

NEPT rewarded from staking that is available yet not claimed by the user

claimable_unbonding: string

Sum of all unbond/unstake amounts that have completed their lockup period and are ready to be claimed.

extra: object { text, value }
text: object { bonding_sum, claimable_rewards, claimable_unbonding, unclaimed }

Human-readable field variants. Will not be null when query param with_text is true.

bonding_sum: string
claimable_rewards: string
claimable_unbonding: string
unclaimed: string
value: object { bonding_sum, claimable_rewards, claimable_unbonding, 3 more }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

bonding_sum: string
claimable_rewards: string
claimable_unbonding: string
extra: object { text }
text: object { bonding_sum, claimable_rewards, claimable_unbonding, 2 more }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

bonding_sum: string
claimable_rewards: string
claimable_unbonding: string
price: string

Text representation of price

unclaimed: string
price: string

Price used in value calculations

unclaimed: string
pools: array of UserStakePool { amount_sum, common, contents, extra }

User allocations for each staking pool

amount_sum: string

Total staked of all entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

common: StakingPoolFull { duration, extra, index, 2 more }

Staking pool contents along with associated pool state and pool params

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: object { text }
text: object { duration, index }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
params: StakingPoolParams { flash_loan_weight, gov_weight, health_weight, reward_weight }

Staking pool contract parameters

flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

state: StakingPoolState { extra, total_bonded }

Current contract state of staking pool

extra: object { text, value }
text: object { total_bonded }

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: string
value: object { extra, price, total_bonded }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, total_bonded }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_bonded: string
price: string

Price used in value calculations

total_bonded: string
total_bonded: string

The total amount staked to this pool

contents: array of UserStakeBondingEntry { account_index, amount, cascade, 3 more }

Bonding/stake entries

NOTE: entries that differ only in amount are merged upon creation

account_index: number

User account index

formatuint8
minimum0
maximum255
amount: string

Bonding amount

cascade: boolean
extra: object { text, value }
text: object { amount, transition_at }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
transition_at: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

last_stake_acc: string
transition_at: string
formatdate-time
extra: object { text, value }
text: object { amount_sum }

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: string
value: object { amount_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: string
extra: object { text }
text: object { amount_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

unbonding: UserStakeUnbonding { amount_sum, contents, extra }

User unstake/unbonding data

amount_sum: string

Total amount of all unbond entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

contents: array of UserStakeUnbondingEntry { amount, extra, unlock_at }

Unbonding/unstake entries

NOTE: cascade unbondings from pool >= 2 are contained in the bondings list of the lower adjacent pool from which the unbond occurred.

amount: string

Unbonding amount

extra: object { text, value }
text: object { amount, unlock_at }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
unlock_at: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

unlock_at: string

Timestamp for when the unstake can be redeemed

formatdate-time
extra: object { text, value }
text: object { amount_sum }

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: string
value: object { amount_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: string
extra: object { text }
text: object { amount_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

unclaimed: string
UserStakeBondingEntry = object { account_index, amount, cascade, 3 more }
account_index: number

User account index

formatuint8
minimum0
maximum255
amount: string

Bonding amount

cascade: boolean
extra: object { text, value }
text: object { amount, transition_at }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
transition_at: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

last_stake_acc: string
transition_at: string
formatdate-time
UserStakePool = object { amount_sum, common, contents, extra }
amount_sum: string

Total staked of all entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

common: StakingPoolFull { duration, extra, index, 2 more }

Staking pool contents along with associated pool state and pool params

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: object { text }
text: object { duration, index }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
params: StakingPoolParams { flash_loan_weight, gov_weight, health_weight, reward_weight }

Staking pool contract parameters

flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

state: StakingPoolState { extra, total_bonded }

Current contract state of staking pool

extra: object { text, value }
text: object { total_bonded }

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: string
value: object { extra, price, total_bonded }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, total_bonded }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_bonded: string
price: string

Price used in value calculations

total_bonded: string
total_bonded: string

The total amount staked to this pool

contents: array of UserStakeBondingEntry { account_index, amount, cascade, 3 more }

Bonding/stake entries

NOTE: entries that differ only in amount are merged upon creation

account_index: number

User account index

formatuint8
minimum0
maximum255
amount: string

Bonding amount

cascade: boolean
extra: object { text, value }
text: object { amount, transition_at }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
transition_at: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

last_stake_acc: string
transition_at: string
formatdate-time
extra: object { text, value }
text: object { amount_sum }

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: string
value: object { amount_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: string
extra: object { text }
text: object { amount_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

UserStakeUnbonding = object { amount_sum, contents, extra }
amount_sum: string

Total amount of all unbond entries

NOTE: this value is affected by active filters, if any (e.g. filtering over account index)

contents: array of UserStakeUnbondingEntry { amount, extra, unlock_at }

Unbonding/unstake entries

NOTE: cascade unbondings from pool >= 2 are contained in the bondings list of the lower adjacent pool from which the unbond occurred.

amount: string

Unbonding amount

extra: object { text, value }
text: object { amount, unlock_at }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
unlock_at: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

unlock_at: string

Timestamp for when the unstake can be redeemed

formatdate-time
extra: object { text, value }
text: object { amount_sum }

Human-readable field variants. Will not be null when query param with_text is true.

amount_sum: string
value: object { amount_sum, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount_sum: string
extra: object { text }
text: object { amount_sum, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount_sum: string
price: string

Text representation of price

price: string

Price used in value calculations

UserStakeUnbondingEntry = object { amount, extra, unlock_at }
amount: string

Unbonding amount

extra: object { text, value }
text: object { amount, unlock_at }

Human-readable field variants. Will not be null when query param with_text is true.

amount: string
unlock_at: string
value: object { amount, extra, price }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

amount: string
extra: object { text }
text: object { amount, price }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

amount: string
price: string

Text representation of price

price: string

Price used in value calculations

unlock_at: string

Timestamp for when the unstake can be redeemed

formatdate-time